<html><head>

<p class=MsoNormal><span lang=EN-US>Please note we provide an open source software notice along with this product and/or this product firmware (in the following just "this product"). The open source software licenses are granted by the respective right holders. And the open source licenses prevail all other license information with regard to the respective open source software contained in the product, including but not limited to End User Software Licensing Agreement. This notice is provided on behalf of Huawei Device Co., Ltd. and any of its local subsidiaries which may have provided this product to you in your local country.</span></p>


<p class=MsoNormal><b><span lang=EN-US style='font-size:16.0pt'>Warranty Disclaimer</span></b></p>


<p class=MsoNormal><b><span lang=EN-US style='text-transform:uppercase'>The open source software in this product is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY, without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the applicable licenses for more details.</span></b></p>


<p class=MsoNormal><b><span lang=EN-US style='font-size:16.0pt'>Copyright Notice and License Texts</span></b></p>


<style type="text/css">
body { padding: 0; font-family: sans-serif; }
.same-license { background-color: #eeeeee; border-top: 20px solid white; padding: 10px; }
.label { font-weight: bold; }
.file-list { margin-left: 1em; color: blue; }
</style>

</head><body topmargin="0" leftmargin="0"             rightmargin="0" bottommargin="0">
<div class="toc">
<ul>
<li><a href="#id0">/OpenSSL/OpenSSL-3.0.9</a></li>
<li><a href="#id1">/AndroidXLocalBroadcastManager/AndroidXLocalBroadcastManager-1.1.0</a></li>
<li><a href="#id1">/AndroidXViewpager/AndroidXViewpager-1.0.0</a></li>
<li><a href="#id2">/zlib/zlib-1.2.13</a></li>
<li><a href="#id3">/The-Legion-of-the-Bouncy-Castle/The-Legion-of-the-Bouncy-Castle-1.76</a></li>
</ul>
</div><!-- table of contents -->
            <table cellpadding="0" cellspacing="0" border="0">
<tr id="id0"><td class="same-license">
            <div class="label">Notices for Software(s):</div>
            <div class="file-list">
/OpenSSL/OpenSSL-3.0.9 <br/>
</div><!-- file-list -->

             <pre class="license-text">


Copyright (c) 1989 Free Software Foundation, Inc.
Copyright Siemens AG 2019&ndash;2022
Copyright 2015 Cryptography Research, Inc.
Copyright 1999&ndash;2021 The OpenSSL Project Authors
Copyright 2018 The OpenSSL Project Authors
Copyright 1998&ndash;2021 The OpenSSL Project Authors
Copyright 2021 UnionTech (https://www.uniontech.com)
Copyright 2014&ndash;2018 The OpenSSL Project Authors
Copyright 1995&ndash;2020 The OpenSSL Project Authors
Copyright 2013&ndash;2018 The OpenSSL Project Authors
Copyright 2017&ndash;2018 The OpenSSL Project Authors
Copyright 2011&ndash;2018 The OpenSSL Project Authors
Copyright 2016&ndash;2018 The OpenSSL Project Authors
Copyright 2015&ndash;2018 The OpenSSL Project Authors
Copyright 2004&ndash;2017 The OpenSSL Project Authors
Copyright 2000&ndash;2017 The OpenSSL Project Authors
Copyright 2006&ndash;2017 The OpenSSL Project Authors
Copyright 1999&ndash;2020 The OpenSSL Project Authors
Copyright 2006 NTT (Nippon Telegraph and Telephone Corporation)
Copyright 2017&ndash;2019 The OpenSSL Project Authors
Copyright 2007&ndash;2022 The OpenSSL Project Authors
Copyright 1995&ndash;2021 The OpenSSL Project Authors
Copyright (c) 1998&ndash;2022 The OpenSSL Project
Copyright 2005&ndash;2022 The OpenSSL Project Authors
Copyright (c) 2020, Intel Corporation
Copyright 2003&ndash;2022 The OpenSSL Project Authors
Copyright (c) 2018, Oracle and/or its affiliates
Copyright 2001&ndash;2022 The OpenSSL Project Authors
Copyright 1998&ndash;2016 The OpenSSL Project Authors
Copyright (c) 2018&ndash;2020, Oracle and/or its affiliates
Copyright 2005&ndash;2018 The OpenSSL Project Authors
Copyright 2001&ndash;2018 The OpenSSL Project Authors
Copyright 2007&ndash;2018 The OpenSSL Project Authors
Copyright 20xx&ndash;20yy The OpenSSL Project Authors
Copyright (c) 2012&ndash;2016 Jean&ndash;Philippe Aumasson
Copyright 2014 Cryptography Research, Inc.
Copyright (c) 2008 Andy Polyakov &lt;appro@openssl.org&gt;
Copyright 2022 The OpenSSL Project Authors
Copyright 2019&ndash;2022 The OpenSSL Project Authors
Copyright 2007&ndash;2019 The OpenSSL Project Authors
Copyright 2016&ndash;2022 The OpenSSL Project Authors
Copyright 2019 The OpenSSL Project Authors
Copyright 2015&ndash;2022 The OpenSSL Project Authors
Copyright Siemens AG 2015&ndash;2019
Copyright (c) 1995&ndash;1998 Eric A. Young, Tim J. Hudson
Copyright 2012&ndash;2022 The OpenSSL Project Authors
Copyright 2013&ndash;2017 The OpenSSL Project Authors
Copyright Nokia 2007&ndash;2020
Copyright 1999&ndash;2022 The OpenSSL Project Authors
Copyright 2011&ndash;2022 The OpenSSL Project Authors
Copyright 2016&ndash;2017 The OpenSSL Project Authors
Copyright (c) 2004 Kungliga Tekniska Hogskolan (Royal Institute of Technology, Stockholm, Sweden)
Copyright 2001&ndash;2016 The OpenSSL Project Authors
Copyright (c) 2019&ndash;2020, Oracle and/or its affiliates
Copyright 2000&ndash;2016 The OpenSSL Project Authors
Copyright (c) 2004, Richard Levitte &lt;richard@levitte.org&gt;
Copyright 2020&ndash;2022 The OpenSSL Project Authors
Copyright 2005&ndash;2016 The OpenSSL Project Authors
Copyright 2004&ndash;2016 The OpenSSL Project Authors
Copyright 2015&ndash;2016 Cryptography Research, Inc.
Copyright 2009&ndash;2022 The OpenSSL Project Authors
Copyright 2007&ndash;2021 The OpenSSL Project Authors
Copyright 2004&ndash;2021 The OpenSSL Project Authors
Copyright Siemens AG 2015&ndash;2020
Copyright (c) 2004, 2018, Richard Levitte &lt;richard@levitte.org&gt;
Copyright 2000&ndash;2021 The OpenSSL Project Authors
Copyright 2003&ndash;2021 The OpenSSL Project Authors
Copyright Siemens AG 2015&ndash;2022
Copyright 2018&ndash;2020 The OpenSSL Project Authors
Copyright 2019&ndash;2020 The OpenSSL Project Authors
Copyright 2008&ndash;2016 The OpenSSL Project Authors
Copyright (c) 2002 The OpenTSA Project
Copyright 2016 Cryptography Research, Inc.
Copyright 2014&ndash;2020 The OpenSSL Project Authors
Copyright 2001&ndash;2017 The OpenSSL Project Authors
Copyright 2000&ndash;2022 The OpenSSL Project Authors
Copyright IBM Corp. 2018&ndash;2019
Copyright (c) 2014, Intel Corporation
Copyright 2010&ndash;2020 The OpenSSL Project Authors
Copyright 1998&ndash;2020 The OpenSSL Project Authors
Copyright 2008&ndash;2021 The OpenSSL Project Authors
Copyright (c) 2004, EdelKey Project
Copyright (c) 2017 National Security Research Institute
copyright (c) 2013 by Mark Jason Dominus &lt;mjd@cpan.org&gt;
Copyright 2008&ndash;2022 The OpenSSL Project Authors
Copyright Siemens AG 2018&ndash;2020
Copyright 1999&ndash;2016 The OpenSSL Project Authors
Copyright 2018&ndash;2019 The OpenSSL Project Authors
Copyright 1995&ndash;2016 The OpenSSL Project Authors
Copyright 2004&ndash;2022 The OpenSSL Project Authors
Copyright 2021 The OpenSSL Project Authors
Copyright (c) 2006, Network Resonance, Inc.
Copyright 2002&ndash;2018 The OpenSSL Project Authors
Copyright Nokia 2007&ndash;2019
Copyright 2015&ndash;2021 The OpenSSL Project Authors
Copyright 2006&ndash;2018 The OpenSSL Project Authors
Copyright Nokia 2007&ndash;2018
Copyright 2011&ndash;2021 The OpenSSL Project Authors
Copyright 2007&ndash;2020 The OpenSSL Project Authors
Copyright 2012&ndash;2016 The OpenSSL Project Authors
Copyright 1995&ndash;2022 The OpenSSL Project Authors
Copyright 2016&ndash;2016 The OpenSSL Project Authors
Copyright (c) 2015 CloudFlare, Inc.
Copyright 2011 Google Inc.
Copyright 1995&ndash;2018 The OpenSSL Project Authors
Copyright 2020&ndash;2021 The OpenSSL Project Authors
Copyright (c) 2013&ndash;2014 Timo Teras &lt;timo.teras@gmail.com&gt;
Copyright 2016 VMS Software, Inc.
Copyright (c) 2018&ndash;2019, Oracle and/or its affiliates
Copyright 2006&ndash;2020 The OpenSSL Project Authors
Copyright 2005&ndash;2020 The OpenSSL Project Authors
Copyright 2004&ndash;2020 The OpenSSL Project Authors
Copyright 2000&ndash;2020 The OpenSSL Project Authors
Copyright 2002&ndash;2020 The OpenSSL Project Authors
Copyright 2019&ndash;2021 The OpenSSL Project Authors
Copyright 2001&ndash;2020 The OpenSSL Project Authors
Copyright 1999&ndash;2018 The OpenSSL Project Authors
Copyright (c) 2019, Oracle and/or its affiliates
Copyright 2004&ndash;2014, Akamai Technologies
Copyright (c) 2012, Intel Corporation
Copyright 2020 The OpenSSL Project Authors
Copyright 2017&ndash;2020 The OpenSSL Project Authors
Copyright 2015&ndash;2020 The OpenSSL Project Authors
copyrighted by the Free Software Foundation
Copyright 2011&ndash;2020 The OpenSSL Project Authors
Copyright (c) 2002, Oracle and/or its affiliates
Copyright 2013&ndash;2020 The OpenSSL Project Authors
Copyright 2009&ndash;2021 The OpenSSL Project Authors
Copyright (c) 2011, RTFM, Inc.
Copyright (c) 2016 Viktor Dukhovni &lt;openssl&ndash;users@dukhovni.org&gt;
Copyright 2018&ndash;2021 The OpenSSL Project Authors
Copyright 2016&ndash;2021 The OpenSSL Project Authors
Copyright 1995&ndash;2017 The OpenSSL Project Authors
Copyright 2012&ndash;2021 The OpenSSL Project Authors
Copyright 2014&ndash;2021 The OpenSSL Project Authors
Copyright 2008&ndash;2020 The OpenSSL Project Authors
Copyright 2016 The OpenSSL Project Authors
Copyright 2011&ndash;2016 The OpenSSL Project Authors
Copyright 2010&ndash;2021 The OpenSSL Project Authors
Copyright 2015&ndash;2016 The OpenSSL Project Authors
Copyright 2005 Nokia
Copyright 2018&ndash;2022 The OpenSSL Project Authors
Copyright 2017&ndash;2022 The OpenSSL Project Authors
Copyright 2013&ndash;2022 The OpenSSL Project Authors
Copyright 2017 BaishanCloud
Copyright 2014&ndash;2022 The OpenSSL Project Authors
Copyright (c) 2017, Oracle and/or its affiliates
Copyright 1998&ndash;2022 The OpenSSL Project Authors
Copyright 2010&ndash;2022 The OpenSSL Project Authors
Copyright 2015&ndash;2017 The OpenSSL Project Authors
Copyright 2017 Ribose Inc.
Copyright 2014&ndash;2017 The OpenSSL Project Authors
Copyright 1995&ndash;2019 The OpenSSL Project Authors
Copyright 2021&ndash;2022 The OpenSSL Project Authors
Copyright 2014&ndash;2016 Cryptography Research, Inc.
Copyright (c) 2015, CloudFlare, Inc.
Copyright 2002&ndash;2016 The OpenSSL Project Authors
Copyright 2006&ndash;2021 The OpenSSL Project Authors
Copyright (c) 2012&ndash;2014 Daniel J. Bernstein
Copyright (c) 2007 KISA(Korea Information Security Agency)
Copyright 2005&ndash;2021 The OpenSSL Project Authors
Copyright 2002&ndash;2021 The OpenSSL Project Authors
Copyright 2000&ndash;2019 The OpenSSL Project Authors
Copyright 2006&ndash;2016 The OpenSSL Project Authors
Copyright (c) 2013 by Mark Jason Dominus &lt;mjd@cpan.org&gt;
Copyright 2007&ndash;2016 The OpenSSL Project Authors
Copyright 2001&ndash;2021 The OpenSSL Project Authors
Copyright 2016&ndash;2020 The OpenSSL Project Authors
Copyright 2017 The OpenSSL Project Authors
Copyright 2019 Red Hat, Inc.
Copyright 2012&ndash;2020 The OpenSSL Project Authors
Copyright IBM Corp. 2018
Copyright IBM Corp. 2019
Copyright 2006&ndash;2022 The OpenSSL Project Authors
Copyright 2013 M. J. Dominus
Copyright 2021 UnionTech
Copyright 2016&ndash;2019 The OpenSSL Project Authors
Copyright 2002&ndash;2022 The OpenSSL Project Authors
Copyright 2017&ndash;2021 The OpenSSL Project Authors
Copyright 2004&ndash;2018 The OpenSSL Project Authors
Copyright 2000&ndash;2018 The OpenSSL Project Authors
Copyright 2009&ndash;2020 The OpenSSL Project Authors
Copyright 2017 Ribose Inc. (https://www.ribose.com)
Copyright 2012, Samuel Neves &lt;sneves@dei.uc.pt&gt;
Copyright 2013&ndash;2021 The OpenSSL Project Authors
Copyright Siemens AG 2020
Copyright 2010&ndash;2016 The OpenSSL Project Authors
Copyright 2008&ndash;2018 The OpenSSL Project Authors
Copyright Patrick Powell 1995
Copyright 2014&ndash;2016 The OpenSSL Project Authors
Copyright 1998&ndash;2017 The OpenSSL Project Authors


                                 Apache License
                           Version 2.0, January 2004
                        http://www.apache.org/licenses/

   TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION

   1. Definitions.

      &quot;License&quot; shall mean the terms and conditions for use, reproduction,
      and distribution as defined by Sections 1 through 9 of this document.

      &quot;Licensor&quot; shall mean the copyright owner or entity authorized by
      the copyright owner that is granting the License.

      &quot;Legal Entity&quot; shall mean the union of the acting entity and all
      other entities that control, are controlled by, or are under common
      control with that entity. For the purposes of this definition,
      &quot;control&quot; means (i) the power, direct or indirect, to cause the
      direction or management of such entity, whether by contract or
      otherwise, or (ii) ownership of fifty percent (50%) or more of the
      outstanding shares, or (iii) beneficial ownership of such entity.

      &quot;You&quot; (or &quot;Your&quot;) shall mean an individual or Legal Entity
      exercising permissions granted by this License.

      &quot;Source&quot; form shall mean the preferred form for making modifications,
      including but not limited to software source code, documentation
      source, and configuration files.

      &quot;Object&quot; form shall mean any form resulting from mechanical
      transformation or translation of a Source form, including but
      not limited to compiled object code, generated documentation,
      and conversions to other media types.

      &quot;Work&quot; shall mean the work of authorship, whether in Source or
      Object form, made available under the License, as indicated by a
      copyright notice that is included in or attached to the work
      (an example is provided in the Appendix below).

      &quot;Derivative Works&quot; shall mean any work, whether in Source or Object
      form, that is based on (or derived from) the Work and for which the
      editorial revisions, annotations, elaborations, or other modifications
      represent, as a whole, an original work of authorship. For the purposes
      of this License, Derivative Works shall not include works that remain
      separable from, or merely link (or bind by name) to the interfaces of,
      the Work and Derivative Works thereof.

      &quot;Contribution&quot; shall mean any work of authorship, including
      the original version of the Work and any modifications or additions
      to that Work or Derivative Works thereof, that is intentionally
      submitted to Licensor for inclusion in the Work by the copyright owner
      or by an individual or Legal Entity authorized to submit on behalf of
      the copyright owner. For the purposes of this definition, &quot;submitted&quot;
      means any form of electronic, verbal, or written communication sent
      to the Licensor or its representatives, including but not limited to
      communication on electronic mailing lists, source code control systems,
      and issue tracking systems that are managed by, or on behalf of, the
      Licensor for the purpose of discussing and improving the Work, but
      excluding communication that is conspicuously marked or otherwise
      designated in writing by the copyright owner as &quot;Not a Contribution.&quot;

      &quot;Contributor&quot; shall mean Licensor and any individual or Legal Entity
      on behalf of whom a Contribution has been received by Licensor and
      subsequently incorporated within the Work.

   2. Grant of Copyright License. Subject to the terms and conditions of
      this License, each Contributor hereby grants to You a perpetual,
      worldwide, non&ndash;exclusive, no&ndash;charge, royalty&ndash;free, irrevocable
      copyright license to reproduce, prepare Derivative Works of,
      publicly display, publicly perform, sublicense, and distribute the
      Work and such Derivative Works in Source or Object form.

   3. Grant of Patent License. Subject to the terms and conditions of
      this License, each Contributor hereby grants to You a perpetual,
      worldwide, non&ndash;exclusive, no&ndash;charge, royalty&ndash;free, irrevocable
      (except as stated in this section) patent license to make, have made,
      use, offer to sell, sell, import, and otherwise transfer the Work,
      where such license applies only to those patent claims licensable
      by such Contributor that are necessarily infringed by their
      Contribution(s) alone or by combination of their Contribution(s)
      with the Work to which such Contribution(s) was submitted. If You
      institute patent litigation against any entity (including a
      cross&ndash;claim or counterclaim in a lawsuit) alleging that the Work
      or a Contribution incorporated within the Work constitutes direct
      or contributory patent infringement, then any patent licenses
      granted to You under this License for that Work shall terminate
      as of the date such litigation is filed.

   4. Redistribution. You may reproduce and distribute copies of the
      Work or Derivative Works thereof in any medium, with or without
      modifications, and in Source or Object form, provided that You
      meet the following conditions:

      (a) You must give any other recipients of the Work or
          Derivative Works a copy of this License; and

      (b) You must cause any modified files to carry prominent notices
          stating that You changed the files; and

      (c) You must retain, in the Source form of any Derivative Works
          that You distribute, all copyright, patent, trademark, and
          attribution notices from the Source form of the Work,
          excluding those notices that do not pertain to any part of
          the Derivative Works; and

      (d) If the Work includes a &quot;NOTICE&quot; text file as part of its
          distribution, then any Derivative Works that You distribute must
          include a readable copy of the attribution notices contained
          within such NOTICE file, excluding those notices that do not
          pertain to any part of the Derivative Works, in at least one
          of the following places: within a NOTICE text file distributed
          as part of the Derivative Works; within the Source form or
          documentation, if provided along with the Derivative Works; or,
          within a display generated by the Derivative Works, if and
          wherever such third&ndash;party notices normally appear. The contents
          of the NOTICE file are for informational purposes only and
          do not modify the License. You may add Your own attribution
          notices within Derivative Works that You distribute, alongside
          or as an addendum to the NOTICE text from the Work, provided
          that such additional attribution notices cannot be construed
          as modifying the License.

      You may add Your own copyright statement to Your modifications and
      may provide additional or different license terms and conditions
      for use, reproduction, or distribution of Your modifications, or
      for any such Derivative Works as a whole, provided Your use,
      reproduction, and distribution of the Work otherwise complies with
      the conditions stated in this License.

   5. Submission of Contributions. Unless You explicitly state otherwise,
      any Contribution intentionally submitted for inclusion in the Work
      by You to the Licensor shall be under the terms and conditions of
      this License, without any additional terms or conditions.
      Notwithstanding the above, nothing herein shall supersede or modify
      the terms of any separate license agreement you may have executed
      with Licensor regarding such Contributions.

   6. Trademarks. This License does not grant permission to use the trade
      names, trademarks, service marks, or product names of the Licensor,
      except as required for reasonable and customary use in describing the
      origin of the Work and reproducing the content of the NOTICE file.

   7. Disclaimer of Warranty. Unless required by applicable law or
      agreed to in writing, Licensor provides the Work (and each
      Contributor provides its Contributions) on an &quot;AS IS&quot; BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
      implied, including, without limitation, any warranties or conditions
      of TITLE, NON&ndash;INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A
      PARTICULAR PURPOSE. You are solely responsible for determining the
      appropriateness of using or redistributing the Work and assume any
      risks associated with Your exercise of permissions under this License.

   8. Limitation of Liability. In no event and under no legal theory,
      whether in tort (including negligence), contract, or otherwise,
      unless required by applicable law (such as deliberate and grossly
      negligent acts) or agreed to in writing, shall any Contributor be
      liable to You for damages, including any direct, indirect, special,
      incidental, or consequential damages of any character arising as a
      result of this License or out of the use or inability to use the
      Work (including but not limited to damages for loss of goodwill,
      work stoppage, computer failure or malfunction, or any and all
      other commercial damages or losses), even if such Contributor
      has been advised of the possibility of such damages.

   9. Accepting Warranty or Additional Liability. While redistributing
      the Work or Derivative Works thereof, You may choose to offer,
      and charge a fee for, acceptance of support, warranty, indemnity,
      or other liability obligations and/or rights consistent with this
      License. However, in accepting such obligations, You may act only
      on Your own behalf and on Your sole responsibility, not on behalf
      of any other Contributor, and only if You agree to indemnify,
      defend, and hold each Contributor harmless for any liability
      incurred by, or claims asserted against, such Contributor by reason
      of your accepting any such warranty or additional liability.

   END OF TERMS AND CONDITIONS

   APPENDIX: How to apply the Apache License to your work.

      To apply the Apache License to your work, attach the following
      boilerplate notice, with the fields enclosed by brackets &quot;[]&quot;
      replaced with your own identifying information. (Don&prime;t include
      the brackets!)  The text should be enclosed in the appropriate
      comment syntax for the file format. We also recommend that a
      file or class name and description of purpose be included on the
      same &quot;printed page&quot; as the copyright notice for easier
      identification within third&ndash;party archives.

   Copyright [yyyy] [name of copyright owner]

   Licensed under the Apache License, Version 2.0 (the &quot;License&quot;);
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE&ndash;2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an &quot;AS IS&quot; BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.


</pre><!-- license-text -->
            </td></tr><!-- same-license -->



<tr id="id1"><td class="same-license">
            <div class="label">Notices for Software(s):</div>
            <div class="file-list">
/AndroidXLocalBroadcastManager/AndroidXLocalBroadcastManager-1.1.0 <br/>
/AndroidXViewpager/AndroidXViewpager-1.0.0 <br/>
</div><!-- file-list -->

             <pre class="license-text">


   Copyright (C) 2018 The Android Open Source Project

                                Apache License
                           Version 2.0, January 2004
                        http://www.apache.org/licenses/

   TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION

   1. Definitions.

      &quot;License&quot; shall mean the terms and conditions for use, reproduction,
      and distribution as defined by Sections 1 through 9 of this document.

      &quot;Licensor&quot; shall mean the copyright owner or entity authorized by
      the copyright owner that is granting the License.

      &quot;Legal Entity&quot; shall mean the union of the acting entity and all
      other entities that control, are controlled by, or are under common
      control with that entity. For the purposes of this definition,
      &quot;control&quot; means (i) the power, direct or indirect, to cause the
      direction or management of such entity, whether by contract or
      otherwise, or (ii) ownership of fifty percent (50%) or more of the
      outstanding shares, or (iii) beneficial ownership of such entity.

      &quot;You&quot; (or &quot;Your&quot;) shall mean an individual or Legal Entity
      exercising permissions granted by this License.

      &quot;Source&quot; form shall mean the preferred form for making modifications,
      including but not limited to software source code, documentation
      source, and configuration files.

      &quot;Object&quot; form shall mean any form resulting from mechanical
      transformation or translation of a Source form, including but
      not limited to compiled object code, generated documentation,
      and conversions to other media types.

      &quot;Work&quot; shall mean the work of authorship, whether in Source or
      Object form, made available under the License, as indicated by a
      copyright notice that is included in or attached to the work
      (an example is provided in the Appendix below).

      &quot;Derivative Works&quot; shall mean any work, whether in Source or Object
      form, that is based on (or derived from) the Work and for which the
      editorial revisions, annotations, elaborations, or other modifications
      represent, as a whole, an original work of authorship. For the purposes
      of this License, Derivative Works shall not include works that remain
      separable from, or merely link (or bind by name) to the interfaces of,
      the Work and Derivative Works thereof.

      &quot;Contribution&quot; shall mean any work of authorship, including
      the original version of the Work and any modifications or additions
      to that Work or Derivative Works thereof, that is intentionally
      submitted to Licensor for inclusion in the Work by the copyright owner
      or by an individual or Legal Entity authorized to submit on behalf of
      the copyright owner. For the purposes of this definition, &quot;submitted&quot;
      means any form of electronic, verbal, or written communication sent
      to the Licensor or its representatives, including but not limited to
      communication on electronic mailing lists, source code control systems,
      and issue tracking systems that are managed by, or on behalf of, the
      Licensor for the purpose of discussing and improving the Work, but
      excluding communication that is conspicuously marked or otherwise
      designated in writing by the copyright owner as &quot;Not a Contribution.&quot;

      &quot;Contributor&quot; shall mean Licensor and any individual or Legal Entity
      on behalf of whom a Contribution has been received by Licensor and
      subsequently incorporated within the Work.

   2. Grant of Copyright License. Subject to the terms and conditions of
      this License, each Contributor hereby grants to You a perpetual,
      worldwide, non&ndash;exclusive, no&ndash;charge, royalty&ndash;free, irrevocable
      copyright license to reproduce, prepare Derivative Works of,
      publicly display, publicly perform, sublicense, and distribute the
      Work and such Derivative Works in Source or Object form.

   3. Grant of Patent License. Subject to the terms and conditions of
      this License, each Contributor hereby grants to You a perpetual,
      worldwide, non&ndash;exclusive, no&ndash;charge, royalty&ndash;free, irrevocable
      (except as stated in this section) patent license to make, have made,
      use, offer to sell, sell, import, and otherwise transfer the Work,
      where such license applies only to those patent claims licensable
      by such Contributor that are necessarily infringed by their
      Contribution(s) alone or by combination of their Contribution(s)
      with the Work to which such Contribution(s) was submitted. If You
      institute patent litigation against any entity (including a
      cross&ndash;claim or counterclaim in a lawsuit) alleging that the Work
      or a Contribution incorporated within the Work constitutes direct
      or contributory patent infringement, then any patent licenses
      granted to You under this License for that Work shall terminate
      as of the date such litigation is filed.

   4. Redistribution. You may reproduce and distribute copies of the
      Work or Derivative Works thereof in any medium, with or without
      modifications, and in Source or Object form, provided that You
      meet the following conditions:

      (a) You must give any other recipients of the Work or
          Derivative Works a copy of this License; and

      (b) You must cause any modified files to carry prominent notices
          stating that You changed the files; and

      (c) You must retain, in the Source form of any Derivative Works
          that You distribute, all copyright, patent, trademark, and
          attribution notices from the Source form of the Work,
          excluding those notices that do not pertain to any part of
          the Derivative Works; and

      (d) If the Work includes a &quot;NOTICE&quot; text file as part of its
          distribution, then any Derivative Works that You distribute must
          include a readable copy of the attribution notices contained
          within such NOTICE file, excluding those notices that do not
          pertain to any part of the Derivative Works, in at least one
          of the following places: within a NOTICE text file distributed
          as part of the Derivative Works; within the Source form or
          documentation, if provided along with the Derivative Works; or,
          within a display generated by the Derivative Works, if and
          wherever such third&ndash;party notices normally appear. The contents
          of the NOTICE file are for informational purposes only and
          do not modify the License. You may add Your own attribution
          notices within Derivative Works that You distribute, alongside
          or as an addendum to the NOTICE text from the Work, provided
          that such additional attribution notices cannot be construed
          as modifying the License.

      You may add Your own copyright statement to Your modifications and
      may provide additional or different license terms and conditions
      for use, reproduction, or distribution of Your modifications, or
      for any such Derivative Works as a whole, provided Your use,
      reproduction, and distribution of the Work otherwise complies with
      the conditions stated in this License.

   5. Submission of Contributions. Unless You explicitly state otherwise,
      any Contribution intentionally submitted for inclusion in the Work
      by You to the Licensor shall be under the terms and conditions of
      this License, without any additional terms or conditions.
      Notwithstanding the above, nothing herein shall supersede or modify
      the terms of any separate license agreement you may have executed
      with Licensor regarding such Contributions.

   6. Trademarks. This License does not grant permission to use the trade
      names, trademarks, service marks, or product names of the Licensor,
      except as required for reasonable and customary use in describing the
      origin of the Work and reproducing the content of the NOTICE file.

   7. Disclaimer of Warranty. Unless required by applicable law or
      agreed to in writing, Licensor provides the Work (and each
      Contributor provides its Contributions) on an &quot;AS IS&quot; BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
      implied, including, without limitation, any warranties or conditions
      of TITLE, NON&ndash;INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A
      PARTICULAR PURPOSE. You are solely responsible for determining the
      appropriateness of using or redistributing the Work and assume any
      risks associated with Your exercise of permissions under this License.

   8. Limitation of Liability. In no event and under no legal theory,
      whether in tort (including negligence), contract, or otherwise,
      unless required by applicable law (such as deliberate and grossly
      negligent acts) or agreed to in writing, shall any Contributor be
      liable to You for damages, including any direct, indirect, special,
      incidental, or consequential damages of any character arising as a
      result of this License or out of the use or inability to use the
      Work (including but not limited to damages for loss of goodwill,
      work stoppage, computer failure or malfunction, or any and all
      other commercial damages or losses), even if such Contributor
      has been advised of the possibility of such damages.

   9. Accepting Warranty or Additional Liability. While redistributing
      the Work or Derivative Works thereof, You may choose to offer,
      and charge a fee for, acceptance of support, warranty, indemnity,
      or other liability obligations and/or rights consistent with this
      License. However, in accepting such obligations, You may act only
      on Your own behalf and on Your sole responsibility, not on behalf
      of any other Contributor, and only if You agree to indemnify,
      defend, and hold each Contributor harmless for any liability
      incurred by, or claims asserted against, such Contributor by reason
      of your accepting any such warranty or additional liability.

   END OF TERMS AND CONDITIONS

   APPENDIX: How to apply the Apache License to your work.

      To apply the Apache License to your work, attach the following
      boilerplate notice, with the fields enclosed by brackets &quot;[]&quot;
      replaced with your own identifying information. (Don&prime;t include
      the brackets!)  The text should be enclosed in the appropriate
      comment syntax for the file format. We also recommend that a
      file or class name and description of purpose be included on the
      same &quot;printed page&quot; as the copyright notice for easier
      identification within third&ndash;party archives.

   Copyright [yyyy] [name of copyright owner]

   Licensed under the Apache License, Version 2.0 (the &quot;License&quot;);
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE&ndash;2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an &quot;AS IS&quot; BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
</pre><!-- license-text -->
            </td></tr><!-- same-license -->



<tr id="id2"><td class="same-license">
            <div class="label">Notices for Software(s):</div>
            <div class="file-list">
/zlib/zlib-1.2.13 <br/>
</div><!-- file-list -->

             <pre class="license-text">


﻿Copyright (c) &lt;year&gt; &lt;copyright holders&gt;

This software is provided &prime;as&ndash;is&prime;, without any express or implied
warranty. In no event will the authors be held liable for any damages
arising from the use of this software.

Permission is granted to anyone to use this software for any purpose,
including commercial applications, and to alter it and redistribute it
freely, subject to the following restrictions:

1. The origin of this software must not be misrepresented; you must not
claim that you wrote the original software. If you use this software
in a product, an acknowledgment in the product documentation would be
appreciated but is not required.

2. Altered source versions must be plainly marked as such, and must not be
misrepresented as being the original software.

3. This notice may not be removed or altered from any source
distribution.

</pre><!-- license-text -->
            </td></tr><!-- same-license -->



<tr id="id3"><td class="same-license">
            <div class="label">Notices for Software(s):</div>
            <div class="file-list">
/The-Legion-of-the-Bouncy-Castle/The-Legion-of-the-Bouncy-Castle-1.76 <br/>
</div><!-- file-list -->

             <pre class="license-text">


Copyright (c) 2001 Company
Copyright (c) 2011 Tim Buktu (tbuktu@hotmail.com)
Copyright (c) 2000&ndash;2021 The Legion of the Bouncy Castle Inc. (https://www.bouncycastle.org)
Copyright Dr B. R Gladman (gladman@seven77.demon.co.uk) and Sam Simpson (s.simpson@mia.co.uk)
Copyright (c) 2005 The Legion Of The Bouncy Castle (https://www.bouncycastle.org)
Copyright (c) 2000&ndash;2021 The Legion Of The Bouncy Castle Inc. (https://www.bouncycastle.org)
Copyright 2011, Cisco Systems, Inc
Copyright (c) The Internet Society (2005)

The MIT License

Copyright (c) &lt;year&gt; &lt;copyright holders&gt;

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the &quot;Software&quot;), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
</pre><!-- license-text -->
            </td></tr><!-- same-license -->



</table>
</body></html>
